Subject: Re: Worktree "gitdir" file being mangled after upgrade to 2.7.0

From: Andreas Schwab <[email-masked]>
Date: Thu, 14 Jan 2016 19:36:53 +0100

Erik Johnson <[email-masked]> writes:

> Since upgrading to 2.7.0 last week, eventually I'll get to a point when
> I run 'git worktree list' where several worktrees are incorrectly
> reported as pointing to my main git checkout. Further analysis of the
> files in $GIT_DIR/worktrees/worktree_name/ shows that the gitdir file
> for the worktrees which display incorrectly contains ".git" instead of
> what it should contain (i.e. "/path/to/worktree/.git".

This always happens to me when I run "git rebase" in a worktree.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."